Main Page Class Hierarchy Compound List File List Compound Members

# group Class Reference

`#include <group.h>`

List of all members.

## Public Methods
void | Clear ()
| clears the group (no layers selected)
void | SetLayer (int, bool)
| add or remove a layer from the group
bool | GetLayer (int)
| check if a layer belongs to the group
int | GetNumberOfLayers ()
| returns the number of layers in this group
void | SetOnlySelected (bool)
| indicate if only selected objects should be used
bool | GetOnlySelected ()
| check if only selected objects should be used
## Protected Attributes
int | _numberOfLayers
| counts how many layers are in this group

## Detailed Description

maintains a list of layer numbers, that will be used in boolean operations if the onlyselected flag is set, only the selected primitives will be taken from the layers

The documentation for this class was generated from the following file:

- group.h

group class Reference -- Thu Nov 28 21:24:57 2002 -- 28 Nov 2002 -- 1.2.18 -- -- . -- Main Page